Bug 196127 - EL4 U3 dmraid seems hopelessly non compilable
EL4 U3 dmraid seems hopelessly non compilable
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: dmraid (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Heinz Mauelshagen
Depends On:
  Show dependency treegraph
Reported: 2006-06-21 07:37 EDT by Bryce
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-28 13:55:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bryce 2006-06-21 07:37:48 EDT
Lo guv,..

I've a x86_64 here with EL4 U3 installed on and I was recompiling dmraid on from
the original src rpm from the EL4 U3 update but something isn't right....

with --enable-static_link the build croaks as follows

gcc -o dmraid dmraid.o commands.o toollib.o  -static -L../lib \
      -L/var/tmp/dmraid-1.0.0.rc8-1_RHEL4_U2-buildroot/lib -ldmraid -ldevmapper 
../lib/libdmraid.a(socket.o)(.text+0x85): In function `daemon_open':
daemon/socket.c:44: warning: Using 'gethostbyname' in statically linked
applications requires at runtime the shared libraries from the glibc version
used for linking
/lib/../lib64/libdevmapper.a(libdm-common.o)(.text+0x4dc): In function
undefined reference to `is_selinux_enabled'
undefined reference to `matchpathcon'
undefined reference to `lsetfilecon'
undefined reference to `freecon'
undefined reference to `freecon'
collect2: ld returned 1 exit status
make[1]: *** [dmraid] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/dmraid/1.0.0.rc8/tools'
make: *** [tools] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.88341 (%build)

Now most of that is selinux not being pulled in (-lselinux where art thou?)
because libdevmapper referances them but for whatever reason autoconf/configure
doesn't seem to pick up that libselinux would be a really good thing to pull in
for the final build

also theres the issue of /lib vs /lib64 so I'm somewhat confused as to how this
src rpm was able to run through beehive ok


Comment 1 Heinz Mauelshagen 2007-02-05 09:24:46 EST
This *should* have been fixed a while back.
Is this still an issue ?
Comment 2 Heinz Mauelshagen 2007-02-28 13:55:52 EST
No feedback -> closing.

Note You need to log in before you can comment on or make changes to this bug.